Workflow status callback
const url = 'https://example.com/api/workflow/status';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"workflowInstanceId":"wf-123","repositoryId":"my-repo","packageName":"spring-2024-update","currentStep":"publish","status":"active","nextActionUrl":"https://engine/api/tasks/456/complete","assignee":{"userName":"user@example.com","displayName":"John Doe","email":"user@example.com"},"comment":"Approved by reviewer","metadata":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workflow/status \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "workflowInstanceId": "wf-123", "repositoryId": "my-repo", "packageName": "spring-2024-update", "currentStep": "publish", "status": "active", "nextActionUrl": "https://engine/api/tasks/456/complete", "assignee": { "userName": "user@example.com", "displayName": "John Doe", "email": "user@example.com" }, "comment": "Approved by reviewer", "metadata": { "additionalProperty": "example" } }'Callback endpoint for external workflow engines to update workflow status. Typically authenticated via API key header.
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”object
External workflow engine instance ID
Example
wf-123Repository CACHE_ROOT
Example
my-repoName of the package in the workflow
Example
spring-2024-updateCurrent step in the workflow
Example
publishCurrent workflow status
Example
activeURL for the next action in external engine
Example
https://engine/api/tasks/456/completeobject
User’s username/login
Example
user@example.comUser’s display name
Example
John DoeUser’s email address
Example
user@example.comComment from external workflow action
Example
Approved by reviewerAdditional metadata from workflow engine
object
Responses
Section titled “Responses”Status update processed successfully
object
Whether the status update was processed successfully
Status message
Error message if the update failed
Example
{ "success": true, "message": "Status update processed successfully", "error": "Package not found"}Bad request - validation error or update error
object
Whether the status update was processed successfully
Status message
Error message if the update failed
Example
{ "success": true, "message": "Status update processed successfully", "error": "Package not found"}Internal server error
object
Indicates an error occurred
Error message describing what went wrong
Example
{ "error": true, "message": "Item not found"}